<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:29 CEST 2018 -->
<title>CommandParser.CommandElement</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CommandParser.CommandElement";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CommandParser.CommandElement.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/sebi/zuul/command/CommandParser.html" title="class in ch.sebi.zuul.command"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ch/sebi/zuul/command/Commands.html" title="annotation in ch.sebi.zuul.command"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/sebi/zuul/command/CommandParser.CommandElement.html" target="_top">Frames</a></li>
<li><a href="CommandParser.CommandElement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.sebi.zuul.command</div>
<h2 title="Class CommandParser.CommandElement" class="title">Class CommandParser.CommandElement</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ch.sebi.zuul.command.CommandParser.CommandElement</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../ch/sebi/zuul/command/CommandParser.html" title="class in ch.sebi.zuul.command">CommandParser</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">CommandParser.CommandElement</span>
extends java.lang.Object</pre>
<div class="block">An class wich contaions the command executor, the name, the syntax and the help of a command</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandParser.CommandElement.html#commandName">commandName</a></span></code>
<div class="block">The name of the command</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandParser.CommandElement.html#executor">executor</a></span></code>
<div class="block">The executor of the command</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandParser.CommandElement.html#help">help</a></span></code>
<div class="block">The help information of the command</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandParser.CommandElement.html#syntax">syntax</a></span></code>
<div class="block">The syntax of the command</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandParser.CommandElement.html#CommandElement-java.lang.String-ch.sebi.zuul.command.CommandExecutor-java.lang.String-java.lang.String-">CommandElement</a></span>(java.lang.String&nbsp;commandName,
              <a href="../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a>&nbsp;executor,
              java.lang.String&nbsp;syntax,
              java.lang.String&nbsp;help)</code>
<div class="block">constructor</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandParser.CommandElement.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandParser.CommandElement.html#getCommandName--">getCommandName</a></span>()</code>
<div class="block">returns the command name</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandParser.CommandElement.html#getExecutor--">getExecutor</a></span>()</code>
<div class="block">Returns the executor of the command</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandParser.CommandElement.html#getHelp--">getHelp</a></span>()</code>
<div class="block">Returns the help information of the command</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandParser.CommandElement.html#getSyntax--">getSyntax</a></span>()</code>
<div class="block">Returns the syntax of the command</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/sebi/zuul/command/CommandParser.CommandElement.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="commandName">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>commandName</h4>
<pre>private&nbsp;java.lang.String commandName</pre>
<div class="block">The name of the command</div>
</li>
</ul>
<a name="executor">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>executor</h4>
<pre>private&nbsp;<a href="../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a> executor</pre>
<div class="block">The executor of the command</div>
</li>
</ul>
<a name="syntax">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>syntax</h4>
<pre>private&nbsp;java.lang.String syntax</pre>
<div class="block">The syntax of the command</div>
</li>
</ul>
<a name="help">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>help</h4>
<pre>private&nbsp;java.lang.String help</pre>
<div class="block">The help information of the command</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CommandElement-java.lang.String-ch.sebi.zuul.command.CommandExecutor-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CommandElement</h4>
<pre>private&nbsp;CommandElement(java.lang.String&nbsp;commandName,
                       <a href="../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a>&nbsp;executor,
                       java.lang.String&nbsp;syntax,
                       java.lang.String&nbsp;help)</pre>
<div class="block">constructor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>commandName</code> - the name of the command</dd>
<dd><code>executor</code> - the executor of the command</dd>
<dd><code>syntax</code> - the syntax of the command</dd>
<dd><code>help</code> - the help information of the command</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCommandName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCommandName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getCommandName()</pre>
<div class="block">returns the command name</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name</dd>
</dl>
</li>
</ul>
<a name="getExecutor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExecutor</h4>
<pre>public&nbsp;<a href="../../../../ch/sebi/zuul/command/CommandExecutor.html" title="interface in ch.sebi.zuul.command">CommandExecutor</a>&nbsp;getExecutor()</pre>
<div class="block">Returns the executor of the command</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the executor</dd>
</dl>
</li>
</ul>
<a name="getSyntax--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSyntax</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSyntax()</pre>
<div class="block">Returns the syntax of the command</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the syntax</dd>
</dl>
</li>
</ul>
<a name="getHelp--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHelp</h4>
<pre>public&nbsp;java.lang.String&nbsp;getHelp()</pre>
<div class="block">Returns the help information of the command</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the help</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CommandParser.CommandElement.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/sebi/zuul/command/CommandParser.html" title="class in ch.sebi.zuul.command"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ch/sebi/zuul/command/Commands.html" title="annotation in ch.sebi.zuul.command"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/sebi/zuul/command/CommandParser.CommandElement.html" target="_top">Frames</a></li>
<li><a href="CommandParser.CommandElement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
